# Uses of Interface
org.eclipse.ecf.filetransfer.service.IRetrieveFileTransfer

Packages that use IRetrieveFileTransfer
Package
Description
org.eclipse.ecf.filetransfer.service
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of IRetrieveFileTransfer in org.eclipse.ecf.filetransfer.service

Methods in org.eclipse.ecf.filetransfer.service that return IRetrieveFileTransfer
Modifier and Type
Method
Description
`IRetrieveFileTransfer`
IRetrieveFileTransferFactory.`newInstance()`
Get new instance of IRetrieveFileTransfer.

## Uses of IRetrieveFileTransfer in org.eclipse.ecf.provider.filetransfer.httpclient4

Classes in org.eclipse.ecf.provider.filetransfer.httpclient4 that implement IRetrieveFileTransfer
Modifier and Type
Class
Description
`class`
`HttpClientRetrieveFileTransfer`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that return IRetrieveFileTransfer
Modifier and Type
Method
Description
`IRetrieveFileTransfer`
HttpClientRetrieveFileTransferFactory.`newInstance()`

## Uses of IRetrieveFileTransfer in org.eclipse.ecf.provider.filetransfer.httpclient45

Classes in org.eclipse.ecf.provider.filetransfer.httpclient45 that implement IRetrieveFileTransfer
Modifier and Type
Class
Description
`class`
`HttpClientRetrieveFileTransfer`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that return IRetrieveFileTransfer
Modifier and Type
Method
Description
`IRetrieveFileTransfer`
HttpClientRetrieveFileTransferFactory.`newInstance()`

## Uses of IRetrieveFileTransfer in org.eclipse.ecf.provider.filetransfer.httpclient5

Classes in org.eclipse.ecf.provider.filetransfer.httpclient5 that implement IRetrieveFileTransfer
Modifier and Type
Class
Description
`class`
`HttpClientRetrieveFileTransfer`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that return IRetrieveFileTransfer
Modifier and Type
Method
Description
`IRetrieveFileTransfer`
HttpClientRetrieveFileTransferFactory.`newInstance()`

## Uses of IRetrieveFileTransfer in org.eclipse.ecf.provider.filetransfer.retrieve

Classes in org.eclipse.ecf.provider.filetransfer.retrieve that implement IRetrieveFileTransfer
Modifier and Type
Class
Description
`class`
`AbstractRetrieveFileTransfer`
`class`
`MultiProtocolRetrieveAdapter`
Multi protocol handler for retrieve file transfer.
`class`
`UrlConnectionRetrieveFileTransfer`